[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#373722: web interface doesn't show list of available cupsys-driver-gutenprint drivers when adding a new printer

Package: cupsys
Version: 1.2.1-2
Severity: normal


the web interface of cupsys doesn't show the list of available
cupsys-driver-gutenprint drivers when adding a new printer. Thus the
user has to specify a PPD file manually for that he has to know where
those are located (for example

This makes it unnecessarily complicated to add a new printer, especially
given that kdeprint does seem to have difficulties with new CUPS
configuration file layout (see debian bug #345973). And also kdeprint
didn't show the available printer drivers once while I was using it
to fix my printer problems since upgrading to CUPS 1.2 (see debian bug

Version of cupsys-driver-gutenprint is 4.3.99+cvs20060521-4.


-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)

Versions of packages cupsys depends on:
ii  adduser                  3.87            Add and remove users and groups
ii  debconf [debconf-2.0]    1.5.1           Debian configuration management sy
ii  gs-esp                   8.15.1.dfsg.1-2 The Ghostscript PostScript interpr
ii  libacl1                  2.2.37-1        Access control list shared library
ii  libc6                    2.3.6-13        GNU C Library: Shared libraries
ii  libcupsimage2            1.2.1-2         Common UNIX Printing System(tm) - 
ii  libcupsys2               1.2.1-2         Common UNIX Printing System(tm) - 
ii  libdbus-1-2              0.61-6          simple interprocess messaging syst
ii  libgnutls13              1.3.5-1.1       the GNU TLS library - runtime libr
ii  libldap2                 2.1.30-13       OpenLDAP libraries
ii  libpam0g                 0.79-3.1        Pluggable Authentication Modules l
ii  libpaper1                1.1.17          Library for handling paper charact
ii  libslp1                  1.2.1-5         OpenSLP libraries
ii  lsb-base                 3.1-10          Linux Standard Base 3.1 init scrip
ii  patch                    2.5.9-4         Apply a diff file to an original
ii  perl-modules             5.8.8-4         Core Perl modules
ii  procps                   1:3.2.6-2.2     /proc file system utilities
ii  xpdf-utils [poppler-util 3.01-8          Portable Document Format (PDF) sui
ii  zlib1g                   1:1.2.3-11      compression library - runtime

Versions of packages cupsys recommends:
ii  cupsys-client                 1.2.1-2    Common UNIX Printing System(tm) - 
pn  foomatic-filters              <none>     (no description available)
ii  smbclient                     3.0.22-1   a LanManager-like simple client fo

-- debconf information:
  cupsys/raw-print: true
  cupsys/ports: localhost:631 /var/run/cups/cups.sock
  cupsys/backend: ipp, lpd, parallel, socket, usb
  cupsys/browse: true

Reply to: